Bug 470946 - admin console does not place quotes around the certificate name in console.conf
admin console does not place quotes around the certificate name in console.conf
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: UI - Configuration (Show other bugs)
1.1.3
All Linux
high Severity high
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.1.4 FDS1.2.0
  Show dependency treegraph
 
Reported: 2008-11-10 19:15 EST by Brian J. Atkisson
Modified: 2015-01-04 18:34 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (1.42 KB, patch)
2008-12-04 09:24 EST, Rich Megginson
no flags Details | Diff
cvs commit log (187 bytes, text/plain)
2008-12-04 10:56 EST, Rich Megginson
no flags Details

  None (edit)
Description Brian J. Atkisson 2008-11-10 19:15:44 EST
Description of problem:

When setting up the admin console to use SSL, the console will write out the console.conf file without putting quotes around the certificate name.  If the certificate name has spaces in it, the admin server will refuse to start with:

Syntax error on line 87 of /etc/dirsrv/admin-serv/console.conf:
NSSNickname takes one argument, SSL RSA Server Certificate nickname (`Server-Cert'

Essentially, the NSSNickname certificate name should be placed in quotes 

Version-Release number of selected component (if applicable):
1.1.x and RHDS 8

How reproducible:
Always

Steps to Reproduce:
1. Enable SSL for the admin server in the admin console and select a certificate with a space in the name
2.click save
3.restart dirsrv-admin
  
Actual results:

Syntax error on line 87 of /etc/dirsrv/admin-serv/console.conf:
NSSNickname takes one argument, SSL RSA Server Certificate nickname (`Server-Cert'

Expected results:

dirsrv-admin starts successfully

Additional info:

Manually editing console.conf and place quotes around the NSSNickname certificate name will resolve this issue.
Comment 1 Rich Megginson 2008-11-11 09:44:26 EST
I'll bet this is somehow related to the other bugs around the console and certificate requests.
Comment 2 Rich Megginson 2008-12-04 09:24:29 EST
Created attachment 325687 [details]
diffs
Comment 3 Rich Megginson 2008-12-04 10:56:21 EST
Created attachment 325698 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Fix Description: Just put double quotes around the values we write out, including NSSNickname
Platforms tested: RHEL5
Flag Day: no
Doc impact: no
Comment 4 Jenny Galipeau 2009-02-25 12:51:54 EST
fix verified DS 8.1 on RHEL5 -32bit

#   SSL Certificate Nickname:
#   The nickname of the server certificate you are going to use.
NSSNickname "V1 Server-Cert"
Comment 5 Chandrasekar Kannan 2009-04-29 19:07:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.